-------------------------------------------------------------------------------
------------------- Powiedzmy-e-stae ----------------------------------------
-------------------------------------------------------------------------------
-- Typy pociskow
local PROJECTILE_BULLET=	0
local PROJECTILE_MISSILE=	1

-- Typy broni
local WEAPON_THRUSTER=		0
local WEAPON_CANNON=		1
local WEAPON_BUFF=			2

-- Kierunki, pozycje paneli
local PANEL_TOP=			0
local PANEL_BOTTOM=			1	-- Uzywanie zabronione, nie da sie tam dodac ikon~
local PANEL_LEFT=			2
local PANEL_RIGHT=			3
	
	
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
function init()
	--print("<Remon> ufufufufu~")
	print("LUA : Init...")
	--killApp()
	
	initBullets()
	initWeapons()
	
	print("LUA : Init ok")
	end
	
function initBullets()
-- Pociski
	newBaseProjectile(PROJECTILE_BULLET, "bullet_01", "obj/projectile/bullet_01.spr")
	setProjectileTimer(0.75)
	setProjectileDamage(1.0)
	setProjectileSpeed(800.0)
	setBulletForce(0)
	
	newBaseBullet("bullet_02", "obj/projectile/bullet_06.spr")
	setProjectileTimer(1.5)
	setProjectileDamage(5.0)
	setProjectileSpeed(1200.0)
	setBulletForce(3)
	
	newBaseMissile("missile_01", "obj/projectile/missile_01.spr")
	setProjectileTimer(3.0)
	setProjectileDamage(500.0)
	setProjectileSpeed(50.0)
	setMissileAcc(175.0)
	setMissileSpeed(300.0)
	setMissileSize(96)
	
	newBaseMissile("missile_02", "obj/projectile/missile_02.spr")
	setProjectileTimer(6.0)
	setProjectileDamage(750.0)
	setProjectileSpeed(100.0)
	setMissileAcc(400.0)
	setMissileSpeed(500.0)
	setMissileSize(128)
	end
	
function initWeapons()
-- Thrustery
	-- newBaseWeapon(WEAPON_THRUSTER, "thruster_00", "obj/base.spr", "obj/thruster.spr", "lua/thruster_perm.lua")
	newBaseThruster("thruster_00", "obj/base.spr", "obj/thruster/norm.spr", "lua/thruster_perm.lua")
	setWeaponRotateSpeed(180.0)
	setWeaponRadius(16)
	setWeaponHp(300, 300)
	setThrusterForce(50.0)

	newBaseThruster("thruster_01", "obj/base.spr", "obj/thruster/norm.spr", "lua/thruster_perm_off.lua")
	setWeaponRotateSpeed(280.0)
	setWeaponRadius(16)
	setWeaponHp(300, 300)
	setThrusterForce(55.0)
	
	newBaseThruster("thruster_02", "obj/base.spr", "obj/thruster/norm.spr", "lua/thruster_tgt.lua")
	setWeaponRotateSpeed(330.0)
	setWeaponRadius(16)
	setWeaponHp(750, 750)
	setThrusterForce(75.0)

	newBaseThruster("thruster_03", "obj/base.spr", "obj/thruster/ion.spr", "lua/thruster_tgt.lua")
	setWeaponRotateSpeed(450.0)
	setWeaponRadius(16)
	setWeaponHp(1000, 1000)
	setThrusterForce(400.0)
	
-- Cannony
	newBaseCannon("cannon_00", "obj/base.spr", "obj/cannon/machinegun.spr", "lua/cannon_gun.lua")
	setWeaponRotateSpeed(360.0)
	setWeaponRadius(16)
	setWeaponHp(500, 500)
	--setCannonTralala~
	setCannonBullet("bullet_01")
	setCannonRecoil(300)
	setCannonDelay(0.2)
	
	newBaseCannon("cannon_01", "obj/base.spr", "obj/cannon/chaingun.spr", "lua/cannon_gun.lua")
	setWeaponRotateSpeed(120.0)
	setWeaponRadius(16)
	setWeaponHp(300, 300)
	setCannonBullet("bullet_02")
	setCannonRecoil(500)
	setCannonDelay(0.1)
	
	newBaseCannon("cannon_02", "obj/base.spr", "obj/cannon/rocketlauncher.spr", "lua/cannon_missile.lua")
	setWeaponRotateSpeed(240.0)
	setWeaponRadius(16)
	setWeaponHp(250, 250)
	setCannonBullet("missile_01")
	setCannonRecoil(100)
	setCannonDelay(2.0)
	
	newBaseCannon("cannon_03", "obj/base.spr", "obj/cannon/rocketlauncher.spr", "lua/cannon_missile.lua")
	setWeaponRotateSpeed(240.0)
	setWeaponRadius(16)
	setWeaponHp(250, 250)
	setCannonBullet("missile_02")
	setCannonRecoil(150)
	setCannonDelay(1.5)
	
-- Buffki
	-- Rowniez pusto~
	end
	
	
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-- Wejscie do menu
function initMenu()
	--
	end
		
-- Wybor okienka
function initSelect()
	setMoney(400)	-- Na start dostaniesz 50 kasy, ciesz sie o;

	setHelpText("Kliknij przy bocznych krawdziach ekranu aby zmieni okno. Kliknij lewym przyciskiem myszy aby zatwierdzi wybr.")
	end
		
-- Budowanie okienka
-- Tak jak i gameplay, wywolywane wielokrotnie
-- (nikt nie zabrania graczowi szybko skakac miedzy gameplayem i budowaniem)
function initBuild()
	setHelpText("Wybierz bronie z paneli przy krawdziach ekranu. Kliknij lewym aby wybra lub zbudowa, prawym aby anulowa.")

	addBuildWeapon("thruster_00", "Silnik odrzutowy, poziom 1", "obj/thruster/icon_norm.spr",  5, PANEL_LEFT)
	addBuildWeapon("thruster_01", "Silnik odrzutowy, poziom 2", "obj/thruster/icon_norm.spr", 20, PANEL_LEFT)
	addBuildWeapon("thruster_02", "Silnik odrzutowy, poziom 3", "obj/thruster/icon_norm.spr", 40, PANEL_LEFT)
	addBuildWeapon("thruster_03", "Silnik odrzutowy, poziom 4", "obj/thruster/icon_ion.spr", 80, PANEL_LEFT)
	
	addBuildWeapon("cannon_00", "Karabin maszynowy", "obj/cannon/icon_machinegun.spr",  10, PANEL_RIGHT)
	addBuildWeapon("cannon_01", "Kartaczownica Gatlinga", "obj/cannon/icon_chaingun.spr",  40, PANEL_RIGHT)
	addBuildWeapon("cannon_02", "Wyrzutnia rakiet", "obj/cannon/icon_rocketlauncher.spr",  80, PANEL_RIGHT)
	addBuildWeapon("cannon_03", "Wyrzutnia rakiet, wersja 2", "obj/cannon/icon_rocketlauncher.spr",  160, PANEL_RIGHT)
	
	setBuildWeaponDesc("thruster_00", "Podstawowy silnik odrzutowy. Wszystko czego potrzebujesz aby poruszy swoje okno. Ma pewne wady ktre najprawdopodobniej zostan usunite w kolejnej wersji.")
	setBuildWeaponDesc("thruster_01", "Ulepszony silnik odrzutowy. Zmodyfikowane oyska pozwoliy uzyska wiksz szybko obrotu. Nie naley jednak oczekiwa cudw - w rodku nic si nie zmienio.")
	setBuildWeaponDesc("thruster_02", "Bardziej ulepszony silnik odrzutowy. Szybszy. Mocniejszy. Lepszy. Nowe czci i oprogramowanie, ponad dwukrotnie mocniejszy pancerz.")
	setBuildWeaponDesc("thruster_03", "Zaawansowany silnik odrzutowy. Silnik jonowy - cud techniki odrzutowej. Jeden zamiast wszystkich, wszystkie zamiast jednego - wybr naley do ciebie.")
	
	setBuildWeaponDesc("cannon_00", "Najzwyklejszy karabin maszynowy.")
	setBuildWeaponDesc("cannon_01", "Szybkostrzelna bron siejca zagad w zwartych oddziaach wroga.")
	setBuildWeaponDesc("cannon_02", "Wyrzutnia rakiet. Nakieruj. Wystrzel. Podziwiaj fajerwerki.")
	setBuildWeaponDesc("cannon_03", "Wyrzutnia rakiet. Nakieruj. Wystrzel. Podziwiaj WIKSZE fajerwerki. Kup teraz a dostaniesz zestaw jeszcze potniejszych rakiet!")
	end
		
-- Gameplay, muchy i inne dzialka
function initGameplay()
	setHelpText()
	end
		
-- Gracz padl, wyswietlenie jego wynikow i ich wyslanie
function initGameover()
	setHelpText("Koniec gry.\n".."\n".."Przetrwano "..getTime().." sekund\n".."Pokonanych much: "..getKills().."\n".."Wynik: "..getScore().."\n\nWcinij prawy przycisk myszy.")	-- jak w lua zrobic taki string w wielu liniach? :f
	end
		
-- Lista najlepszych
function initScores()
	--
	end